Here is the error i get:

C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in 
`require': cannot load such fil
e -- mysql (LoadError)
        from 
C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in 
`require'
        from C:/Users/will/Notepad++/Databases/ruby_DBI.rb:11:in 
`<main>'


Here is my code:

require 'rubygems'
require 'mysql'

begin
  connect = Mysql.new 'root', 'user12', '34klq*'
  puts connect.get_server_info
  rs = connect.query 'SELECT VERSION()'
  puts rs.fetch_row

  rescue Mysql::Error => e
    puts e.errno
    puts e.error

  ensure
    connect.close if connect
end

This is the same type of problem i get no matter what gem i use or 
tutorial i follow. any help please.

-- 
Posted via http://www.ruby-forum.com/.